
Redmine - Defect #6193

500 error in Issues list

2010-08-23 15:22 - Sergey Belov

Status: Closed Start date: 2010-08-23

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 1.0.1

Description

I have installed Redmine 1.0.1 and it has Error 500 when I open issues list.

I did upgrade from 0.9.4 as in instruction.

Have rails-2.3.8 and use passenger

Please check screenshot

Related issues:

Related to Redmine - Feature #6887: Upgrade to Rails 2.3.11 Closed 2010-11-13

History

#1 - 2010-08-26 00:31 - Eric Davis

- Status changed from New to Closed

- Priority changed from High to Normal

- Affected version (unused) changed from 1.0.0-RC to 1.0.1

- Resolution set to Invalid

- Affected version set to 1.0.1

Rails 2.3.8 is not supported, please check Redmine's requirements and try again.  If you still are having an error, go ahead and reopen this issue.

#2 - 2010-08-26 00:34 - Sergey Belov

I see. I use redmine 0.9.4 with Rails 2.3.8 and though it's supported fine because it has 2.3.5 for 0.9.x and 1.x versions

#3 - 2010-08-27 20:01 - Sergey Belov

- Status changed from Closed to Reopened

Same issue. I have downgraded Rails

conf.vs # rails -v

Rails 2.3.5

#4 - 2010-08-30 23:47 -  Pas

redmine SVN Updated to revision 4050. (RAILS_ENV=production rake db:migrate has been executed already)

ruby 1.8.7 (2010-08-16 patchlevel 302) [x86_64-linux]

Debian, Ruby1.8, Rails 2.3.5

Processing IssuesController#index (for 86.101.xxx.xxx at 2010-08-30 20:57:45) [GET]

  Parameters: {"project_id"=>"xxxxxxxxxxxxxxxxxxx", "action"=>"index", "controller"=>"issues"}

Rendering template within layouts/base

Rendering issues/index.rhtml

ActionView::TemplateError (undefined method `-' for nil:NilClass) on line #16 of app/views/issues/_list.rhtml:

13:     </tr></thead>

14:     <% previous_group = false %>

15:     <tbody>

16:     <% issue_list(issues) do |issue, level| -%>

17:   <% if @query.grouped? && (group = @query.group_by_column.value(issue)) != previous_group %>

18:     <% reset_cycle %>
19:     <tr class="group open">

    app/helpers/issues_helper.rb:28:in `issue_list'

    app/helpers/issues_helper.rb:23:in `each'

    app/helpers/issues_helper.rb:23:in `issue_list'

    app/views/issues/_list.rhtml:16:in `_run_rhtml_app47views47issues47_list46rhtml_locals_issues_list_object_

query'

    ...

 It's driving me quite mad.

#5 - 2010-08-30 23:53 - Sergey Belov

something strange there. I couldn't try a new version of redmine, still use 0.9.4 :(

#6 - 2010-08-31 08:56 - Sascha Drews

Gregory Pas wrote:

redmine SVN Updated to revision 4050. (RAILS_ENV=production rake db:migrate has been executed already)

ruby 1.8.7 (2010-08-16 patchlevel 302) [x86_64-linux]

Debian, Ruby1.8, Rails 2.3.5

[...]

It's driving me quite mad.

 Look at my entry. I had the same problem and could solve it by running a simple sql.

Hope this helps,

Sascha

#7 - 2010-08-31 09:11 -  Pas

Thanks, that UPDATE did it.

#8 - 2010-08-31 11:58 - Sergey Belov

Thanks for Sascha Drews #5907, this UPDATE helped me too

#9 - 2010-08-31 13:31 - Felix Schäfer

- Status changed from Reopened to Closed
